%global debug_package %{nil}

Name:       veloren-airshipper
Version:    0.7.0
Release:    1%{?dist}
Summary:    Cross-platform Veloren launcher

License:    GPLv3+
URL:        https://github.com/veloren/Airshipper
Source0:    %{url}/archive/v%{version}/Airshipper-%{version}.tar.gz

BuildRequires: gcc-c++, git-core, python3
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(x11)

%description
A cross-platform Veloren launcher.

%prep
%autosetup -n Airshipper-%{version}

curl https://sh.rustup.rs -sSf | sh -s -- \
    --profile minimal \
    --default-toolchain nightly -y \
    %{nil}

%build
$HOME/.cargo/bin/cargo build --release --bin airshipper

%install
install -Dpm0755 target/release/airshipper %{buildroot}/%{_bindir}/airshipper

%files
%license LICENSE
%doc CHANGELOG.md
%{_bindir}/airshipper

%changelog
* Thu Mar 31 2022 Andrew Schott <andrew@schotty.com> 0.7.0-1
- Initial package and spec file
